'use strict';

module.exports = {
	"parserOptions": {
		"ecmaVersion": 7,
		"sourceType": "module"
	},
	"env": {
		"es6": true,
		"browser": true,
		"node": true
	},
	"plugins": ["import"],
	"rules": {
		"import/extensions": ["warn", "ignorePackages"],
		"no-unused-vars": "error",
		"no-undef": "error",
		"eqeqeq": "error",
		"guard-for-in": "error",
		"no-extend-native": "error",
		"wrap-iife": "error",
		"new-cap": "error",
		"no-caller": "error",
		"no-multi-str": "off",
		"dot-notation": "off",
		"semi": ["error", "always"],
		"strict": ["error", "global"],
		"valid-jsdoc": "warn",
		"no-irregular-whitespace": "warn",
		"no-multi-spaces": "error",
		"one-var": ["error", "never"],
		"constructor-super": "error",
		"no-this-before-super": "error",
		"no-var": "error",
		"prefer-const": "warn",
		"no-const-assign": "error",
		"indent": ["error", "tab", {"SwitchCase": 1}],
		"no-trailing-spaces": "error",
		"no-await-in-loop": "error",
		"no-compare-neg-zero": "error",
		"no-cond-assign": "error",
		"no-console": "warn",
		"no-constant-condition": "error",
		"no-control-regex": "error",
		"no-debugger": "error",
		"no-dupe-args": "error",
		"no-dupe-keys": "error",
		"no-duplicate-case": "error",
		"no-empty": "warn",
		"no-empty-character-class": "error",
		"no-ex-assign": "error",
		"no-extra-boolean-cast": "error",
		"no-extra-parens": "warn",
		"no-extra-semi": "error",
		"no-func-assign": "error",
		"no-inner-declarations": "error",
		"no-invalid-regexp": "error",
		"no-obj-calls": "error",
		"no-prototype-builtins": "warn",
		"no-regex-spaces": "error",
		"no-sparse-arrays": "error",
		"no-template-curly-in-string": "error",
		"no-unexpected-multiline": "error",
		"no-unreachable": "error",
		"no-unsafe-finally": "error",
		"no-unsafe-negation": "error",
		"use-isnan": "error",
		"valid-typeof": "error",
		"accessor-pairs": "error",
		"array-callback-return": "error",
		"block-scoped-var": "error",
		"class-methods-use-this": "error",
		"default-case": "error",
		"no-alert": "error",
		"no-case-declarations": "error",
		"no-div-regex": "error",
		"no-empty-function": "warn",
		"no-empty-pattern": "error",
		"no-eq-null": "error",
		"no-eval": "error",
		"no-extra-bind": "error",
		"no-extra-label": "error",
		"no-fallthrough": "error",
		"no-floating-decimal": "error",
		"no-global-assign": "error",
		"no-implicit-coercion": "warn",
		"no-implicit-globals": "error",
		"no-implied-eval": "error",
		"no-iterator": "error",
		"no-labels": "error",
		"no-lone-blocks": "error",
		"no-loop-func": "error",
		"no-new-func": "error",
		"no-new-wrappers": "error",
		"no-octal": "error",
		"no-octal-escape": "error",
		"no-proto": "error",
		"no-redeclare": "error",
		"no-restricted-properties": "error",
		"no-return-assign": "error",
		"no-return-await": "error",
		"no-script-url": "error",
		"no-self-assign": "error",
		"no-self-compare": "error",
		"no-sequences": "error",
		"no-throw-literal": "error",
		"no-unmodified-loop-condition": "error",
		"no-unused-expressions": "error",
		"no-unused-labels": "error",
		"no-useless-call": "error",
		"no-useless-concat": "error",
		"no-useless-return": "error",
		"no-void": "error",
		"no-with": "error",
		"prefer-promise-reject-errors": "error",
		"require-await": "error",
		"vars-on-top": "error",
		"curly": "error",
		"radix": "error",
		"yoda": "error"
	},
	"globals": {
		"require": false,
		"module": false,
		"exports": false,
		"requireText": false
	}
};
